Compile error after final Re-adjusting the Toolchain

Ken Moffat ken at linuxfromscratch.org
Mon Jul 14 05:16:48 PDT 2008


On Sun, Jul 13, 2008 at 11:34:33PM -0700, Tarsier wrote:
> 
> Yep, no typo, I applied the GCC-4.2.3 - Pass 1 and GCC-4.2.3 - Pass 2 instructions to build and install the GCC 4.3.1 and the toolchain. Appreciate if you could refer to my first email, I want to understand why the linking went wrong after building the toolchain.

 If you want to use a newer major version of gcc, you need to know
what has changed, and then you can either correct patches or seds so
that they continue to work, or add whatever new instructions and
packages are needed.

 For clfs (which continues to use patches for gcc), I know someone
has built with gcc-4.3, but I haven't looked at their findings so I
don't know what needed to be changed.  For LFS, I don't remember if
anyone has built successfully with gcc-4.3 : you might be out on
your own.

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the lfs-support mailing list